<!DOCTYPE html>
<html dir="ltr" lang="sv">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0" />
  <title>Stencil Component Starter</title>
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" />
  <link rel="preconnect" href="https://fonts.gstatic.com" />
  <script type="module" src="/build/digi-arbetsformedlingen.esm.js"></script>
  <link rel="stylesheet" href="build/digi-arbetsformedlingen.css" />
  <style>
    body {
      padding: 0;
      margin: 0;

    }
  </style>
  <script>
    
    document.onreadystatechange = () => { 

      document.addEventListener("afOnReady", (ev) => {
        console.log("ready", ev);
      })

      if(document.readyState === "complete") {
        const feedback = document.getElementById('feedback');

        feedback.setAttribute("af-is-done", true);

        document.addEventListener("afOnClick", (ev) => {
          const step = Number(ev.target.dataset.step);
          feedback.afMSetStep(step);
        })
      }

    }
  </script>
<body>
  <digi-tools-feedback 
    af-text="Hjälpte informationen dig?" 
    af-variation="primary" 
    af-type="grid" 
    af-is-done="false"
    id="feedback"
  >
    <form slot="form">
      <digi-form-input
        af-label="Etikett"
        af-variation="medium"
        af-type="text" 
        af-validation="neutral"		
      ></digi-form-input>
      <digi-button></digi-button>
    </form>
  </digi-tools-feedback>
  <p>
    <digi-button data-step="1">Step 1</digi-button>
  </p>
  <p>
    <digi-button data-step="2">Step 2</digi-button>
  </p>
  <p>
    <digi-button data-step="3">Step 3</digi-button>
  </p>

  <digi-form-radiobutton 
	af-label="'Kryssruta'"
	af-variation="primary"	
>
</digi-form-radiobutton>
  <digi-form-radiobutton 
	af-label="'Kryssruta'"
	af-variation="primary"	
>
</digi-form-radiobutton>
  <digi-form-radiobutton 
	af-label="'Kryssruta'"
	af-variation="primary"	
>
</digi-form-radiobutton>
</body>

</html>